Package csb :: Package bio :: Package io :: Module mrc :: Class DensityMapWriter

[frames] | no frames]

# Class DensityMapWriter

source code

    object --+
             |
            DensityMapWriter

Binary MRC density map writer.

Instance Methods

bytes

reconstruct_header(self, density) Attempt to reconstruct the header, given DensityInfo's data shape, spacing and origin. | source code

write(self, stream, density) Write `density` to a binary `stream`. | source code

write_file(self, filename, density) Write `density` to a binary file. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### reconstruct_header(self, density)

source code

Attempt to reconstruct the header, given DensityInfo's data shape, spacing and origin.

Parameters:
  - `density` (DensityInfo) - density info
Returns: bytes
  reconstructed binary header

### write(self, stream, density)

source code

Write `density` to a binary `stream`.

Parameters:
  - `stream` (stream) - destination binary stream
  - `density` (DensityInfo) - input density info

### write_file(self, filename, density)

source code

Write `density` to a binary file.

Parameters:
  - `filename` (str) - destination file name
  - `density` (DensityInfo) - input density info